### Method

# Gtk CssProviderload_from_string

since: 4.12

#### Declaration [src]

    void
    gtk_css_provider_load_from_string (
      GtkCssProvider* css_provider,
      const char* string
    )

#### Description [src]

Loads `string` into `css_provider`.

This clears any previously loaded information.

Available since: 4.12

#### Parameters

`string`

  Type: `const char*`

  The CSS to load.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.